greater.hpp File Reference
`#include <msgpack/preprocessor/comparison/less.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_GREATER(x, y) MSGPACK_PP_GREATER_I(x, y)
#define | MSGPACK_PP_GREATER_I(x, y) MSGPACK_PP_LESS(y, x)
#define | MSGPACK_PP_GREATER_D(d, x, y) MSGPACK_PP_GREATER_D_I(d, x, y)
#define | MSGPACK_PP_GREATER_D_I(d, x, y) MSGPACK_PP_LESS_D(d, y, x)

## Macro Definition Documentation

## MSGPACK_PP_GREATER

#define MSGPACK_PP_GREATER | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_GREATER_I(x, y)

## MSGPACK_PP_GREATER_D

#define MSGPACK_PP_GREATER_D | ( |  | d,
|  |  | x,
|  |  | y
| ) |  | MSGPACK_PP_GREATER_D_I(d, x, y)

## MSGPACK_PP_GREATER_D_I

#define MSGPACK_PP_GREATER_D_I | ( |  | d,
|  |  | x,
|  |  | y
| ) |  | MSGPACK_PP_LESS_D(d, y, x)

## MSGPACK_PP_GREATER_I

#define MSGPACK_PP_GREATER_I | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_LESS(y, x)